[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TReader.ReadUnicodeChar

Read Unicode character

## Declaration

Source position: classesh.inc line 1401

`public function TReader.ReadUnicodeChar: UnicodeChar;`

## Description

ReadUnicodeChar reads a single Unicode character from the stream. It does this by reading a UnicodeString string from the stream and returning the first character.

## Errors

If the string has a length different from 1, an EReadError exception will occur.

## See also

TReader.ReadUnicodeString |  | Read a UnicodeString value from the stream